Skip to main content
GET
/
v1
/
enrichment
/
companies
/
activities
/
post
Get Company Activities Post
curl --request GET \
  --url 'https://api.scrapin.io/v1/enrichment/companies/activities/post?apikey='
{
  "success": true,
  "credits_consumed": 1,
  "credits_left": 19934.5,
  "rate_limit_left": 19999,
  "daily_rate_limit_left": 19999,
  "minute_rate_limit_left": 499,
  "next_minute_rate_limit_reset": "2024-01-15T10:31:00Z",
  "quotas": {
    "credits": {
      "total": 10000,
      "used": 1234,
      "left": 8766
    },
    "daily_rate_limit": {
      "limit": 5000,
      "used": 150,
      "left": 4850,
      "next_reset": "2024-10-31T12:46:00.000Z"
    },
    "minute_rate_limit": {
      "limit": 500,
      "used": 12,
      "left": 488,
      "next_reset": "2024-10-31T12:46:00.000Z"
    }
  },
  "metadata": {
    "source": "fresh",
    "request_id": "000xcc2a-829a-4200-9704-f6f9cf9a23de"
  },
  "post": {
    "activityId": "6976499964512243712",
    "text": "Congrate to the team for this amazing milestone!",
    "reactionsCount": 16,
    "commentsCount": 1,
    "activityDate": "2022-09-16T11:20:08.641Z",
    "author": {
      "authorId": "ACoAABJhN_YBN70Qb8TWu4GpxhJE1NqQ7PQEHQw",
      "authorName": "Alain Smith",
      "authorPublicIdentifier": "alainsmith",
      "authorHeadline": "Bank CEO",
      "authorImage": "https://media.licdn.com/dms/image/v2/D4E03AQFP5a_FoymQCA/profile-displayphoto-shrink_800_800/profile-displayphoto-shrink_800_800/0/1670785458261?e=1743033600&v=beta&t=ZQz5_CNMgUVUzuCTYvqUoV1xmXU4OLXun5zzvJkhktg",
      "authorUrl": "https://www.social.com/in/alainsmith"
    },
    "activityUrl": "https://www.social.com/feed/update/urn:li:activity:6976499964512243712/",
    "shareUrl": "https://www.social.com/posts/breaking-news-another-developer-turned-7293041906471596032-6sne",
    "relatedPost": {
      "text": "Spoiler: 30M€ fundraising for Geegle (10M€ equity + 20M€ debt). New step for the fintech!",
      "activityDate": "2022-06-29T14:02:12.188Z",
      "author": {
        "authorId": "11011480",
        "authorName": "geegle",
        "authorPublicIdentifier": "geegle",
        "authorHeadline": "3,923 followers",
        "authorUrl": "https://www.social.com/company/geegle/",
        "activityUrl": "https://www.social.com/feed/update/urn:li:activity:6949912435651493888/",
        "shareUrl": "https://www.social.com/posts/daily-dev-comparator-work-729304143471596032-4b0e"
      }
    }
  }
}

Request Tracking & Reporting

Found incorrect or missing data? Visit your API Logs to view all requests and report issues directly from the web interface.
How to report an issue:
  1. Go to app.scrapin.io/api-logs
  2. Find the request you want to report in the logs table
  3. Click the “Report” button in the Actions column
  4. Select the issue type and add a description
The request_id helps our team investigate and resolve issues quickly. All enrichment requests are automatically logged for your convenience.

Authorizations

apikey
string
query
required

This required parameter is a string. It represents the APIKEY obtained from the developer dashboard. You must use it in the query string of your request as ?apikey=YOUR_API_KEY or in the headers as x-api-key: YOUR_API_KEY

Query Parameters

activityId
string
required

This required parameter is a string. It represents the ID of the activity post you want to retrieve.

Response

The endpoint returns the activity post from activityId

success
boolean

Indicates success or failure of api request.

credits_consumed
number

Represents the number of credits consumed by this query.

credits_left
number

Represents the usable credits available for the user account after this query.

rate_limit_left
number

Represents the usable daily request limit available for the user account after this query.

daily_rate_limit_left
number

Represents the usable daily request limit available for the user account after this query.

minute_rate_limit_left
number

Represents the usable minute request limit available for the user account after this query.

next_minute_rate_limit_reset
string

Represents the next minute rate limit reset for the user account after this query. Datetime in ISO 8601 format (e.g., 2025-11-14T14:34:43.000Z).

quotas
object

Structured quota information for the user account. Provides the same data as the flat fields above in a more organized format.

metadata
object
post
object

Activity post of a person